'use strict';

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _storybook = require('@kadira/storybook');

var _index = require('../index');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _index2 = require('./index');

var _index3 = _interopRequireDefault(_index2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var TotalVisits = (0, _index.chartAsReactComponent)(_index3.default);

// Generate some random data...
function createData(duration) {
  var dates = [];
  var visits = [];

  [].concat(_toConsumableArray(Array(duration).keys())).map(function (day) {
    dates.push((0, _moment2.default)().subtract(day, 'd').format("YYYY-MM-DD"));
    visits.push(Math.round(Math.random() * (100 - 0)));
  });

  return { dates: dates, visits: visits };
}

var data1 = createData(7);
var data2 = createData(20);

(0, _storybook.storiesOf)('Total Visits', module).add('Last 7 days of visits', function () {
  return React.createElement(TotalVisits, { dates: data1.dates, totalVisits: data1.visits });
}).add('Last 20 days of visits', function () {
  return React.createElement(TotalVisits, { dates: data2.dates, totalVisits: data2.visits });
});

